### Method

# Qmi MessageWdsCreateProfileInput set_umts_minimum_qos

since: 1.18

#### Declaration [src]

    gboolean
    qmi_message_wds_create_profile_input_set_umts_minimum_qos (
      QmiMessageWdsCreateProfileInput* self,
      QmiWdsTrafficClass value_umts_minimum_qos_traffic_class,
      guint32 value_umts_minimum_qos_max_uplink_bitrate,
      guint32 value_umts_minimum_qos_max_downlink_bitrate,
      guint32 value_umts_minimum_qos_guaranteed_uplink_bitrate,
      guint32 value_umts_minimum_qos_guaranteed_downlink_bitrate,
      QmiWdsDeliveryOrder value_umts_minimum_qos_qos_delivery_order,
      guint32 value_umts_minimum_qos_maximum_sdu_size,
      QmiWdsSduErrorRatio value_umts_minimum_qos_sdu_error_ratio,
      QmiWdsSduResidualBitErrorRatio value_umts_minimum_qos_residual_bit_error_ratio,
      QmiWdsSduErroneousDelivery value_umts_minimum_qos_delivery_erroneous_sdu,
      guint32 value_umts_minimum_qos_transfer_delay,
      guint32 value_umts_minimum_qos_traffic_handling_priority,
      GError** error
    )

#### Description [src]

Set the ‘UMTS Minimum QoS’ field in the message.

Available since: 1.18

#### Parameters

`value_umts_minimum_qos_traffic_class`

  Type: `QmiWdsTrafficClass`

  A `QmiWdsTrafficClass`.

`value_umts_minimum_qos_max_uplink_bitrate`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_max_downlink_bitrate`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_guaranteed_uplink_bitrate`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_guaranteed_downlink_bitrate`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_qos_delivery_order`

  Type: `QmiWdsDeliveryOrder`

  A `QmiWdsDeliveryOrder`.

`value_umts_minimum_qos_maximum_sdu_size`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_sdu_error_ratio`

  Type: `QmiWdsSduErrorRatio`

  A `QmiWdsSduErrorRatio`.

`value_umts_minimum_qos_residual_bit_error_ratio`

  Type: `QmiWdsSduResidualBitErrorRatio`

  A `QmiWdsSduResidualBitErrorRatio`.

`value_umts_minimum_qos_delivery_erroneous_sdu`

  Type: `QmiWdsSduErroneousDelivery`

  A `QmiWdsSduErroneousDelivery`.

`value_umts_minimum_qos_transfer_delay`

  Type: `guint32`

  A #guint32.

`value_umts_minimum_qos_traffic_handling_priority`

  Type: `guint32`

  A #guint32.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.